<?php
session_start();
require_once("config/configDB.php"); 
require "financial_year_calculation.php";

function validation_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    $invoice   = stripslashes($_POST['invoice']);
    //$tripedate      = stripslashes($_POST['internalprodate']);

    $tdate_temp         = new DateTime(stripslashes($_POST['internalprodate']));
    $internalprodate 	= $tdate_temp->format('Y-m-d');
	
	$supplierid=stripslashes($_POST['supplierid']);
	
    $vehicleid          = stripslashes($_POST['vehicleid']);
	
	 $driverid          = stripslashes($_POST['driverid']);
    $inchargename           = stripslashes($_POST['inchargename']);
    $previouskms           = stripslashes($_POST['previouskms']);
    $previoushrs           = stripslashes($_POST['previoushrs']);
	$preiousqty           = stripslashes($_POST['preiousqty']);
   
	
	
    $intakekm           = stripslashes($_POST['intakekm']);
    $intakehrs           = stripslashes($_POST['intakehrs']);
    $qty                = stripslashes($_POST['eqty']);
	$rate                = stripslashes($_POST['rate']);
	$amount                = stripslashes($_POST['amount']);
	
	$mileage                = stripslashes($_POST['mileage']);
	$hmileage                = stripslashes($_POST['hmileage']);
	$remarks                = stripslashes($_POST['remarks']);
	
	 $payment         = stripslashes($_POST['payment']);
	   $received_amt         = stripslashes($_POST['received_amt']);
	    $paymenttype         = stripslashes($_POST['paymenttype']);
    
    $accountyear    = $financialYearStart."-".$financialYearEnd;
    $createdate  	= date("Y-m-d");
    $createdby      = $_SESSION['username'];
    $userID         = $_SESSION['user_id'];
	
	
	$sql=mysqli_query($conn,"select * from employee_master where id='".$driverid."'");
	
	while($row=mysqli_fetch_array($sql))
	{
		$drivername=$row['ename'];
	}
	$sql1=mysqli_query($conn,"select * from supplier_master where id='".$supplierid."'");
	
	while($row1=mysqli_fetch_array($sql1))
	{
		$sname=$row1['sname'];
	}
	
	
	$sqlv=mysqli_query($conn,"select * from vehicle_master where id='".$vehicleid."'");
	
	while($rowv=mysqli_fetch_array($sqlv))
	{
		$vehicleno=$rowv['vehicleno'];
	}
	
	$autoinc=mysqli_query($conn,"ALTER TABLE externalfill_diesel CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	$autoinc1=mysqli_query($conn,"ALTER TABLE fill_diesel CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");
	$autoinc2=mysqli_query($conn,"ALTER TABLE total_litres CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");

    $sql_header  = "INSERT INTO externalfill_diesel (invoice, dieseldate,supplierid,sname,vehicleid, vehicleno,driverid,drivername,inchargeid,inchargename, previouskms ,previoushrs,preiousqty,intakekm,intakehrs,litres,rate,amount,mileage,hmileage,remarks,filling_type,payment,received_amt,paymenttype,status,accountyear,isdelete,createdby,userID,createdate) VALUES ('".$invoice."', '".$internalprodate."', '".$supplierid."', '".$sname."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','0','".$inchargename."','".$previouskms."','".$previoushrs."','".$preiousqty."','".$intakekm."','".$intakehrs."','".$qty."','".$rate."','".$amount."','".$mileage."','".$hmileage."','".$remarks."','fill','$payment','$received_amt','$paymenttype','', '".$accountyear."', '1','".$createdby."','".$userID."','".$createdate."')";
	

    mysqli_query($conn,$sql_header);
	
		$last_id = mysqli_insert_id($conn);
    
	
	
	$sql_header1  = "INSERT INTO fill_diesel (invoice,dieseldate,vehicleid, vehicleno,driverid,drivername,intakekm,intakehrs,litres,filling_type,accountyear,createdate,createdby,userID,isdelete) VALUES ('".$invoice."', '".$internalprodate."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$intakekm."','".$intakehrs."','".$qty."','externalfill', '".$accountyear."','".$createdate."', '".$createdby."','".$userID."','1')";
    
    mysqli_query($conn,$sql_header1);
	
		$sql_header2  = "INSERT INTO total_litres (invoice,dieseldate,vehicleid, vehicleno,driverid,drivername,intakekm,intakehrs,litres,filling_type,accountyear,createdate,createdby,userID,isdelete) VALUES ('".$invoice."', '".$internalprodate."','".$vehicleid."', '".$vehicleno."','".$driverid."' ,'".$drivername."','".$intakekm."','".$intakehrs."','".$qty."','externalfill', '".$accountyear."','".$createdate."', '".$createdby."','".$userID."','1')";
    
    mysqli_query($conn,$sql_header2);
	
	if($payment=="Cash And Carry")
{
	
	$sql_InvoiceQuery   = mysqli_query($conn,"SELECT count(*) as invoice FROM supplier_payment WHERE status='' ");
$rowInvoiceCount    = mysqli_fetch_array($sql_InvoiceQuery,MYSQLI_ASSOC);
$invoice_count      = $rowInvoiceCount['invoice']+1;
	
	$autoinc=mysqli_query($conn,"ALTER TABLE supplier_payment CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");

    $sql_header  = "INSERT INTO supplier_payment ( invoice, invoicedate,supplierid,purchaseid,purchase_type,process, amount, pay_type,paymentreference,status, accountyear,isdelete,createdby,userID,createdate) VALUES ('".$invoice_count."', '".$internalprodate."', '".$supplierid."','$last_id','$payment','External Fill', '".$received_amt."','".$paymenttype."', '".$remarks."' ,'','".$accountyear."', '1','".$createdby."','".$userID."','".$createdate."')";
	mysqli_query($conn,$sql_header);
    
	}
    
    header("Location:exfDieselProDashboard.php");

}





?>